ResponseCodeUrlMapping (Grails 6.0.0)

Package: org.grails.web.mapping

## [Java] Class ResponseCodeUrlMapping

- org.grails.web.mapping.ResponseCodeUrlMapping

-     @java.lang.SuppressWarnings("rawtypes")
      public class ResponseCodeUrlMapping
      extends AbstractUrlMapping

  A Url mapping for http response codes.

  Authors:
    mike
  Since:
    1.0-RC1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private grails.gorm.validation.ConstrainedProperty[]` | `constraints` |
    `private java.lang.Class<?>` | `exceptionType` |
    `private java.util.Map` | `parameterValues` |
    `private ResponseCodeMappingData` | `urlData` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractUrlMapping` | `actionName, constraints, controllerName, forwardURI, grailsApplication, httpMethod, mappingName, namespace, parameterValues, parseRequest, pluginIndex, pluginName, redirectInfo, servletContext, version, viewName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ResponseCodeUrlMapping (UrlMappingData urlData, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, grails.gorm.validation.ConstrainedProperty[] constraints, GrailsApplication grailsApplication)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `compareTo(java.lang.Object o)`
    `` | `public java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding)`
    `` | `public java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map values, java.lang.String encoding)`
    `` | `public java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map values, java.lang.String encoding)`
    `` | `public java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding, java.lang.String fragment)`
    `` | `public java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map values, java.lang.String encoding, java.lang.String fragment)`
    `` | `public java.lang.String` | `createURL(java.util.Map values, java.lang.String encoding)`
    `` | `public java.lang.String` | `createURL(java.util.Map values, java.lang.String encoding, java.lang.String fragment)`
    `` | `public java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding)`
    `` | `public java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map values, java.lang.String encoding)`
    `` | `public java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map values, java.lang.String encoding)`
    `` | `public java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding, java.lang.String fragment)`
    `` | `public java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map values, java.lang.String encoding, java.lang.String fragment)`
    `` | `public java.lang.Object` | `getActionName()`
    `` | `public grails.gorm.validation.ConstrainedProperty[]` | `getConstraints()`
    `` | `public java.lang.Object` | `getControllerName()`
    `` | `public java.lang.Class<?>` | `getExceptionType()`
    `` | `public UrlMappingData` | `getUrlData()`
    `` | `public java.lang.Object` | `getViewName()`
    `` | `public UrlMappingInfo` | `match(java.lang.String uri)`
    `` | `public UrlMappingInfo` | `match(int responseCode)`
    `` | `public void` | `setExceptionType(java.lang.Class<?> exClass)`
    `` | `public void` | `setParameterValues(java.util.Map parameterValues)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractUrlMapping` | `getActionName, getConstraints, getControllerName, getHttpMethod, getMappingName, getNamespace, getPluginIndex, getPluginName, getRedirectInfo, getVersion, getViewName, hasRuntimeVariable, isDefinedInPlugin, setGrailsApplication, setMappingName, setParameterValues, setParseRequest, setPluginIndex`

- - ### Field Detail

    - #### private final grails.gorm.validation.ConstrainedProperty[] constraints

    - #### private java.lang.Class<?> exceptionType

    - #### private java.util.Map parameterValues

    - #### private final ResponseCodeMappingData urlData

  - ### Constructor Detail

    - #### public ResponseCodeUrlMapping(UrlMappingData urlData, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, grails.gorm.validation.ConstrainedProperty[] constraints, GrailsApplication grailsApplication)

  - ### Method Detail

    - #### public int compareTo(java.lang.Object o)

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding)

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map values, java.lang.String encoding)

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map values, java.lang.String encoding)

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding, java.lang.String fragment)

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map values, java.lang.String encoding, java.lang.String fragment)

    - #### public java.lang.String createURL(java.util.Map values, java.lang.String encoding)

    - #### public java.lang.String createURL(java.util.Map values, java.lang.String encoding, java.lang.String fragment)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map values, java.lang.String encoding)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map values, java.lang.String encoding)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding, java.lang.String fragment)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map values, java.lang.String encoding, java.lang.String fragment)

    - #### @java.lang.Override public java.lang.Object getActionName()

    - #### @java.lang.Override public grails.gorm.validation.ConstrainedProperty[] getConstraints()

    - #### @java.lang.Override public java.lang.Object getControllerName()

    - #### public java.lang.Class<?> getExceptionType()

    - #### public UrlMappingData getUrlData()

    - #### @java.lang.Override public java.lang.Object getViewName()

    - #### public UrlMappingInfo match(java.lang.String uri)

    - #### public UrlMappingInfo match(int responseCode)

    - #### public void setExceptionType(java.lang.Class<?> exClass)

    - #### @java.lang.Override public void setParameterValues(java.util.Map parameterValues)